Better ListView Class Reference |

# BetterListViewCheckItemReorderEventArgs Constructor

Initializes a new instance of the BetterListViewCheckItemReorderEventArgs class.

BetterListViewCheckItemReorderEventArgs(
IDataObject data,
int keyState,
int x,
int y,
DragDropEffects allowedEffect,
DragDropEffects effect,
BetterListViewItemCollection sourceItems,
BetterListViewInsertionLocation insertionLocation,
BetterListViewItemReorderOptions itemReorderOptions
);

#### Parameters

data
  Data being reordered.
keyState
  Current state of the SHIFT, CTRL, and ALT keys, as well as the state of the mouse buttons.
x
  X-coordinate of the mouse pointer, in screen coordinates.
y
  Y-coordinate of the mouse pointer, in screen coordinates.
allowedEffect
  Which drag-and-drop operations are allowed by the originator (or source) of the drag event.
effect
  Target drop effect in a drag-and-drop operation.
sourceItems
  Items to be reordered.
insertionLocation
  Target insertion location.
itemReorderOptions
  Item reordering options.

#### See Also

BetterListViewCheckItemReorderEventArgs Class | ComponentOwl.BetterListView Namespace